<template>
  <div id="displayComponents">
    <component v-for="component in components" :key="component" :is="component" />
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import MaintenanceBanner from './Banner/MaintenanceBanner.vue';
import PilotBanner from './Banner/PilotBanner.vue';

export default Vue.extend({
  name: 'banner',
  components: {
    MaintenanceBanner,
    PilotBanner,
  },
  data() {
    return {
      components: ['PilotBanner', 'MaintenanceBanner'],
    };
  },
});
</script>
<style scoped>
#displayComponents {
  box-sizing: border-box;
}
</style>
